NamespaceBinder.NamespaceSupport (NekoHTML 1.9.14 Implementation)
Date: 2010-02-02

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cyberneko.html.filters
Class NamespaceBinder.NamespaceSupport

    java.lang.Object
      org.cyberneko.html.filters.NamespaceBinder.NamespaceSupport

All Implemented Interfaces:
  org.apache.xerces.xni.NamespaceContext

Enclosing class:
  NamespaceBinder

    public static class NamespaceBinder.NamespaceSupport

extends java.lang.Object
implements org.apache.xerces.xni.NamespaceContext

This namespace context object implements the old and new XNI `NamespaceContext` interface methods so that it can be used across all versions of Xerces2.

Field Summary
`protected org.cyberneko.html.filters.NamespaceBinder.NamespaceSupport.Entry[]` | `fEntries` The entries.
`protected int[]` | `fLevels` The levels of the entries.
`protected int` | `fTop` Top of the levels list.

Fields inherited from interface org.apache.xerces.xni.NamespaceContext
`XML_URI, XMLNS_URI`

Constructor Summary
`NamespaceBinder.NamespaceSupport()` Default constructor.

Method Summary
`boolean` | `declarePrefix(java.lang.String prefix, java.lang.String uri)` Declare prefix.
`java.util.Enumeration` | `getAllPrefixes()` Get all prefixes.
`java.lang.String` | `getDeclaredPrefixAt(int index)` Get declared prefix at.
`int` | `getDeclaredPrefixCount()` Get declared prefix count.
`org.apache.xerces.xni.NamespaceContext` | `getParentContext()` Get parent context.
`java.lang.String` | `getPrefix(java.lang.String uri)` Get prefix.
`java.lang.String` | `getURI(java.lang.String prefix)` Get URI.
`void` | `popContext()` Pop context.
`void` | `pushContext()` Push context.
`void` | `reset()` Reset.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fTop

    protected int fTop

  Top of the levels list.

### fLevels

    protected int[] fLevels

  The levels of the entries.

### fEntries

    protected org.cyberneko.html.filters.NamespaceBinder.NamespaceSupport.Entry[] fEntries

  The entries.

Constructor Detail

### NamespaceBinder.NamespaceSupport

    public NamespaceBinder.NamespaceSupport()

  Default constructor.

Method Detail

### getURI

    public java.lang.String getURI(java.lang.String prefix)

  Get URI.

  Specified by:
    `getURI` in interface `org.apache.xerces.xni.NamespaceContext`

### getDeclaredPrefixCount

    public int getDeclaredPrefixCount()

  Get declared prefix count.

  Specified by:
    `getDeclaredPrefixCount` in interface `org.apache.xerces.xni.NamespaceContext`

### getDeclaredPrefixAt

    public java.lang.String getDeclaredPrefixAt(int index)

  Get declared prefix at.

  Specified by:
    `getDeclaredPrefixAt` in interface `org.apache.xerces.xni.NamespaceContext`

### getParentContext

    public org.apache.xerces.xni.NamespaceContext getParentContext()

  Get parent context.

### reset

    public void reset()

  Reset.

  Specified by:
    `reset` in interface `org.apache.xerces.xni.NamespaceContext`

### pushContext

    public void pushContext()

  Push context.

  Specified by:
    `pushContext` in interface `org.apache.xerces.xni.NamespaceContext`

### popContext

    public void popContext()

  Pop context.

  Specified by:
    `popContext` in interface `org.apache.xerces.xni.NamespaceContext`

### declarePrefix

    public boolean declarePrefix(java.lang.String prefix,
                                 java.lang.String uri)

  Declare prefix.

  Specified by:
    `declarePrefix` in interface `org.apache.xerces.xni.NamespaceContext`

### getPrefix

    public java.lang.String getPrefix(java.lang.String uri)

  Get prefix.

  Specified by:
    `getPrefix` in interface `org.apache.xerces.xni.NamespaceContext`

### getAllPrefixes

    public java.util.Enumeration getAllPrefixes()

  Get all prefixes.

  Specified by:
    `getAllPrefixes` in interface `org.apache.xerces.xni.NamespaceContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright 2002-2008, Andy Clark, Marc Guillemot. All rights reserved.